# Generated by Django 4.0.6 on 2024-02-03 16:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('main', '0002_alter_task_options_alter_task_task_alter_task_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='Articles',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('author_first_name',
                 models.CharField(blank=True, max_length=120, null=True, verbose_name='Имя автора статьи')),
                ('author_last_name',
                 models.CharField(blank=True, max_length=120, null=True, verbose_name='Фамилия автора статьи')),
                ('title', models.CharField(max_length=120, verbose_name='Заголовок статьи')),
                ('date', models.DateTimeField(auto_now=True)),
                ('stage_date', models.CharField(max_length=4, verbose_name='Год этапа')),
                ('article_text_1', models.TextField(verbose_name='Первая часть текста к статье')),
                ('photo_1', models.ImageField(blank=True, upload_to='photos/%Y/%m/%d',
                                              verbose_name='Первое фото к статье(Не обязательное поле)')),
                ('article_text_2',
                 models.TextField(blank=True, verbose_name='Вторая часть текста к статье(Не обязательное поле)')),
                ('photo_2', models.ImageField(blank=True, upload_to='photos/%Y/%m/%d',
                                              verbose_name='Второе фото к статье(Не обязательное поле)')),
                ('article_text_3',
                 models.TextField(blank=True, verbose_name='Третья часть текста к статье(Не обязательное поле)')),
                ('photo_3', models.ImageField(blank=True, upload_to='photos/%Y/%m/%d',
                                              verbose_name='Третье фото к статье(Не обязательное поле)')),
                ('article_text_4',
                 models.TextField(blank=True, verbose_name='Четвёртая часть текста к статье(Не обязательное поле)')),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT,
                                             to=settings.AUTH_USER_MODEL, verbose_name='Автор статьи')),
            ],
            options={
                'verbose_name': 'Статья',
                'verbose_name_plural': 'Статьи',
            },
        ),
        migrations.CreateModel(
            name='Stage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stage', models.CharField(db_index=True, max_length=200, verbose_name='Название этапа')),
            ],
            options={
                'verbose_name': 'Этап',
                'verbose_name_plural': 'Этапы',
            },
        ),
        migrations.DeleteModel(
            name='Task',
        ),
        migrations.AddField(
            model_name='articles',
            name='stage',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, to='main.stage',
                                    verbose_name='Этап'),
        ),
    ]

